% UTILS
%
% Various utility functions for specific evaluating fluid parameters.
%
% Files
%   dinterpTable        - Compute derivative of one-dimensional interpolant, possibly using splines.
%   interpRelPermTable  - Fast linear interpolation of tabulated relperm function (and derivative)
%   interpTable         - Interpolate a one-dimensional table, possibly using splines.
%   sgfn                - Construct gas relperm evaluation functions from SGFN table.
%   sgof                - Construct gas/oil rel-perm evaluation functions from SGOF table.
%   swfn                - Construct water relperm evaluation functions from SWFN table.
%   swof                - Construct water/oil rel-perm evaluation functions from SWOF table.
%   constantProperties  - Construct fluid property evaluator from constant data
%   evalMultipleRegions - Evaluate fluid functions in multiple regions
%   sof2                - Construct oil-water or oil-gas relperm eval. functions from SOF2 table.
%   sof3                - Construct oil-water and oil-gas relperm eval. functions from SOF3 table.
%   tabulatedSatFunc    - Construct rel-perm and capillary pressure evaluators from tabulated data
